Subject: Re: linux-next: build warning after merge of the kbuild tree

From: Michal Marek <[email-masked]>
Date: Mon, 02 May 2011 17:31:08 +0200

On 2.5.2011 17:17, [email-masked] wrote:
> On Mon, 02 May 2011 13:13:37 +0200, Michal Marek said:
>
>> +# We test for support of the -Wunused-but-set-variable option, because
>> +# some version of gcc will happily accept any -Wno-* switch and complain
>> +# later during build.
>> +ifeq ($(call cc-option-yn, -Wunused-but-set-variable), y)
>> +KBUILD_CFLAGS += -Wno-unused-but-set-variable
>> +endif
>
> Do we need to do this more generically for all the other -Wno-foo
> options under the various W={123} options?

I only see -Wno-unused-parameter in scripts/Makefile.build and that 
should be supported by any gcc version. Also please have a look at 
http://marc.info/?l=linux-kernel&m=130433840412201&w=2, which is an 
updated version.

Michal